#include <stdio.h>
#include <stdlib.h>
#include "fila.h"

void inicializar(Fila *f)
{
	f->qtd = 0;
}

int inserir(Fila *f, Tipo v)
{
	if (cheia(f))
	{
		printf("Fila cheia!\n");
		return 0;
	}
	else
	{
		f->vetor[f->qtd] = v;
		++(f->qtd); // f->qtd = f->qtd + 1;
		return 1;
	}
}

Tipo remover(Fila *f)
{
	int i;
	Tipo resp;
	if (vazia(f))
	{
		printf("Fila Vazia!\n");
		exit(1);
	}
	else
	{
		resp = f->vetor[0];
		for (i = 0; i < f->qtd - 1; ++i)
			f->vetor[i] = f->vetor[i+1];
		--(f->qtd);
		return resp;
	}
}

void imprimir(Fila *f)
{
	int i;
	printf("{");
	for (i = 0; i < f->qtd; ++i)
		printf("%i ", f->vetor[i]);
	printf("}\n");
}

int vazia(Fila *f)
{
	return f->qtd == 0;
}

int cheia(Fila *f)
{
	return TAM == f->qtd;
}

int pertence(Fila *f, Tipo v)
{
  int i;
  for (i = 0; i < f->qtd; ++i)
    if (f->vetor[i] == v)
      return 1;
  return 0;
}
