#include <stdio.h>
#include "fila.h"

void estacionar(Fila *f);
void retirarCarro(Fila *f);

int main()
{
  int opcao;
	Fila fila;
	inicializar(&fila);
  do 
  {
    printf("M E N U\n\n");
    printf("1 - Estacionar Carro\n");
    printf("2 - Retirar Carro\n");
    printf("3 - Sair\n\n");
    printf("Digite sua opcao: ");
    scanf("%i", &opcao);
    switch(opcao)
    {
      case 1:
        estacionar(&fila);
        break;
      case 2:
        retirarCarro(&fila);
        break;
      default:
        if (opcao != 3)
          printf("Opcao invalida!\n\n");
    }
  }
  while (opcao != 3);
	return 0;
}

void estacionar(Fila *f)
{
  int carro;
  if (!cheia(f))
  {
    printf("Digite o numero do seu carro: ");
    scanf("%i", &carro);
    inserir(f, carro);
    printf("Carro estacionado com sucesso!\n\n");
  }
  else
  {
    printf("Sinto muito. Estacionamento lotado!\n\n");
  }
}

void retirarCarro(Fila *f)
{
  int carro, carroRetirado;
  if (!vazia(f))
  {
    printf("Digite o numero do seu carro: ");
    scanf("%i", &carro);
    if (pertence(f, carro))
    {
      carroRetirado = remover(f);
      while (carroRetirado != carro)
      {
        inserir(f, carroRetirado);
        carroRetirado = remover(f);
      }
      printf("Carro retirado do estacionamento.\n\n");
    }
    else
    {
      printf("Carro nao esta estacionado.\n\n");
    }
  }
  else
  {
    printf("Estacionamento vazio.\n\n");
  }

}
